Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159979 - Fix dangling pointer in acpi_pci_root_add()
Summary: Fix dangling pointer in acpi_pci_root_add()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156320
TreeView+ depends on / blocked
 
Reported: 2005-06-09 21:04 UTC by Jim Paradis
Modified: 2013-08-06 01:14 UTC (History)
3 users (show)

Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 15:19:56 UTC


Attachments (Terms of Use)
Patch from upstream ACPI driver (deleted)
2005-06-09 21:04 UTC, Jim Paradis
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:663 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 6 2005-09-28 04:00:00 UTC

Description Jim Paradis 2005-06-09 21:04:09 UTC
This is the RHEL3 equivalent of Bug 158920.  An error in adding a PCI root bus
can leave a dangling pointer on the global PCI root bus list, which can
subsequently crash the system.

Comment 1 Jim Paradis 2005-06-09 21:04:09 UTC
Created attachment 115277 [details]
Patch from upstream ACPI driver

Comment 4 Ernie Petrides 2005-06-16 21:18:04 UTC
Patch posted for review (by Jim) on 16-Jun-2005.

Comment 5 Ernie Petrides 2005-06-17 22:50:45 UTC
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.9.EL).


Comment 8 Martin Jenner 2005-08-30 15:43:22 UTC
Following up on comment #6. Do we have a machine that triggers this for rhel3
you can suggest to use for testing errata ?

Comment 11 Red Hat Bugzilla 2005-09-28 15:19:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html



Note You need to log in before you can comment on or make changes to this bug.